; Privilege attributes

SE_PRIVILEGE_ENABLED_BY_DEFAULT	=	00000001h
SE_PRIVILEGE_ENABLED		=	00000002h
SE_PRIVILEGE_REMOVED		=	00000004h
SE_PRIVILEGE_USED_FOR_ACCESS	=	80000000h


; Privilege Set Control flags

PRIVILEGE_SET_ALL_NECESSARY	=	1

;typedef struct _PRIVILEGE_SET {
;    ULONG PrivilegeCount;
;    ULONG Control;
;    LUID_AND_ATTRIBUTES Privilege[ANYSIZE_ARRAY];
;    } PRIVILEGE_SET, * PPRIVILEGE_SET;

; These must be converted to LUIDs before use.
SE_MIN_WELL_KNOWN_PRIVILEGE		=	2
SE_CREATE_TOKEN_PRIVILEGE		=	2
SE_ASSIGNPRIMARYTOKEN_PRIVILEGE		=	3
SE_LOCK_MEMORY_PRIVILEGE		=	4
SE_INCREASE_QUOTA_PRIVILEGE		=	5
SE_MACHINE_ACCOUNT_PRIVILEGE		=	6
SE_TCB_PRIVILEGE			=	7
SE_SECURITY_PRIVILEGE			=	8
SE_TAKE_OWNERSHIP_PRIVILEGE		=	9
SE_LOAD_DRIVER_PRIVILEGE		=	10
SE_SYSTEM_PROFILE_PRIVILEGE		=	11
SE_SYSTEMTIME_PRIVILEGE			=	12
SE_PROF_SINGLE_PROCESS_PRIVILEGE	=	13
SE_INC_BASE_PRIORITY_PRIVILEGE		=	14
SE_CREATE_PAGEFILE_PRIVILEGE		=	15
SE_CREATE_PERMANENT_PRIVILEGE		=	16
SE_BACKUP_PRIVILEGE			=	17
SE_RESTORE_PRIVILEGE			=	18
SE_SHUTDOWN_PRIVILEGE			=	19
SE_DEBUG_PRIVILEGE			=	20
SE_AUDIT_PRIVILEGE			=	21
SE_SYSTEM_ENVIRONMENT_PRIVILEGE		=	22
SE_CHANGE_NOTIFY_PRIVILEGE		=	23
SE_REMOTE_SHUTDOWN_PRIVILEGE		=	24
SE_UNDOCK_PRIVILEGE			=	25
SE_SYNC_AGENT_PRIVILEGE			=	26
SE_ENABLE_DELEGATION_PRIVILEGE		=	27
SE_MANAGE_VOLUME_PRIVILEGE		=	28
SE_IMPERSONATE_PRIVILEGE		=	29
SE_CREATE_GLOBAL_PRIVILEGE		=	30
SE_TRUSTED_CREDMAN_ACCESS_PRIVILEGE	=	31
SE_RELABEL_PRIVILEGE			=	32
SE_INC_WORKING_SET_PRIVILEGE		=	33
SE_TIME_ZONE_PRIVILEGE			=	34
SE_CREATE_SYMBOLIC_LINK_PRIVILEGE	=	35
SE_MAX_WELL_KNOWN_PRIVILEGE		=	SE_CREATE_SYMBOLIC_LINK_PRIVILEGE




TOKEN_ASSIGN_PRIMARY			=	0001h
TOKEN_DUPLICATE				=	0002h
TOKEN_IMPERSONATE			=	0004h
TOKEN_QUERY				=	0008h
TOKEN_QUERY_SOURCE			=	0010h
TOKEN_ADJUST_PRIVILEGES			=	0020h
TOKEN_ADJUST_GROUPS			=	0040h
TOKEN_ADJUST_DEFAULT			=	0080h
TOKEN_ADJUST_SESSIONID			=	0100h

TOKEN_ALL_ACCESS			=	STANDARD_RIGHTS_REQUIRED	or \
						TOKEN_ASSIGN_PRIMARY		or \
						TOKEN_DUPLICATE			or \
						TOKEN_IMPERSONATE		or \
						TOKEN_QUERY			or \
						TOKEN_QUERY_SOURCE		or \
						TOKEN_ADJUST_PRIVILEGES		or \
						TOKEN_ADJUST_GROUPS		or \
						TOKEN_ADJUST_DEFAULT		or \
						TOKEN_ADJUST_SESSIONID

TOKEN_READ				=	STANDARD_RIGHTS_READ		or \
						TOKEN_QUERY

TOKEN_WRITE				=	STANDARD_RIGHTS_WRITE		or \
						TOKEN_ADJUST_PRIVILEGES		or \
						TOKEN_ADJUST_GROUPS		or \
						TOKEN_ADJUST_DEFAULT

TOKEN_EXECUTE				=	STANDARD_RIGHTS_EXECUTE


struct	LUID
usedpart		dd	?
ignorehigh32bitpart	dd	?
ends


struct	LUID_AND_ATTRIBUTES
Luid			LUID
Attributes		dd	?
ends

struct	TOKEN_PRIVILEGES
PrivilegeCount		dd	?
Privileges		LUID_AND_ATTRIBUTES
ends


STATUS_VARIABLE_NOT_FOUND	=	0C0000100h
